summarylogtreecommitdiffstats
path: root/checkupdates+aur.bash
diff options
context:
space:
mode:
Diffstat (limited to 'checkupdates+aur.bash')
-rwxr-xr-xcheckupdates+aur.bash21
1 files changed, 20 insertions, 1 deletions
diff --git a/checkupdates+aur.bash b/checkupdates+aur.bash
index ee006c8f3ec9..51a1ffd42e50 100755
--- a/checkupdates+aur.bash
+++ b/checkupdates+aur.bash
@@ -1,4 +1,23 @@
#!/usr/bin/bash
/usr/bin/checkupdates
+pac_updates=$?
+
printf "$1"
-/usr/bin/checkupdates-aur
+
+aur_output=$(checkupdates-aur)
+printf "$aur_output"
+
+if [[ $aur_output ]]; then
+ aur_updates=0
+else
+ aur_updates=2
+fi
+
+if [ $pac_updates -eq 2 ] && [ $aur_updates -eq 2 ]; then
+ exit 2
+elif [ $pac_updates -eq 0 ] || [ $aur_updates -eq 0 ]; then
+ exit 0
+else
+ exit 1
+fi
+